Name:		qubes-core-admin-client
Version:    4.0.32
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python2-setuptools
BuildRequires:	python2-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz

%description
This package include managemt tools, like qvm-*.

%package -n python2-qubesadmin
Summary:    Python2 module qubesadmin

%description -n python2-qubesadmin
Python2 module qubesadmin.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python2}
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-gui.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python2-qubesadmin
%{python2_sitelib}/qubesadmin-*egg-info
%{python2_sitelib}/qubesadmin

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Mon Nov 02 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b5a2e36
- version 4.0.32

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f16f863
- trim deps of python-qubesadmin package

* Thu Oct 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ee9867
- rpm: fix condition for fedora/centos

* Sun Oct 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 35561e7
- version 4.0.31

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d1f3139
- rpm: adjust python2/python3 dependencies

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8966528
- tests: use asynctest some more

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c26e00f
- pylint: ignore raise-missing-from and super-with-arguments

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 263ff26
- tools/qvm-run: do not check if DispVM is paused before starting it

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f437fb8
- Better error reporting in qvm_start

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73e98d8
- qvm-device: improve error message on invalid device type

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 21559cb
- Make incorrect label name error more descriptive

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a2ed0f3
- qvm-run will unpause paused VMs by defaults

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c0393cc
- tools: remove obsolete _want_app argument

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7b0308c
- backup/restore: improve error message about restoring tags

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e70b88b
- backup/restore: distinguish dom0 by name

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ad3adc
- travis: use sourced config, switch to R4.1

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ce3522
- Make Label() object hashable

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - cf0783e
- Fixed inconsistent firewall address checking

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 29fa551
- Added better __eq__ method to Label class

* Sat Oct 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 916a8d6
- Makefile: add clean of pkgs and debian changelog.*

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb6e887
- Do not check for object existence when got it with another Admin API call

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 65f47ee
- Added a safeguard for invalid firewall rules

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5a60ba5
- Add qvm-firewall reset action to the man page

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5d68a26
- version 4.0.30

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 553d7fa
- Make pylint happy

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f4a253
- Remove no longer relevant TODO comment

* Sun May 10 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - c348a37
- qvm-kill: make error message more clear

* Sun May 10 2020 marmot1791 <marmot1791@protonmail.com> - 2b9cb4f
- Correct default VMs behavior to match current code

* Sun May 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b930de7
- Added an option to qvm-firewall to reset all rules

* Sun May 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 7843597
- Added tests for cloning VMs with persistent devices

* Sun May 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a1a23fb
- Cloning a vm now clones persistent PCI device assignments

* Sun May 10 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - ab7c51b
- qvm-kill: ignore already off domains

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e13956f
- tests/firewall: update future time to be really in the future

* Sun May 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2263cc7
- Added explicit 'force' option to qvm-shutdown

* Sun May 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 18361e0
- Added force shutdown option to vm.shutdown

* Wed Jan 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c0c1e48
- version 4.0.29

* Wed Jan 29 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - b1cc64e
- qvm-remove: improve error message

* Wed Jan 29 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 7916f62
- qvm-shutdown: report errors, don't crash on DispVMs

* Wed Jan 29 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 5e097a0
- Add test for qvm-ls --all

* Wed Jan 29 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 8fcd019
- qvm-ls: don't exclude dom0 when using --all

* Wed Jan 29 2020 tetrahedras <tetrahedrass> - fb9b86c
- add --wait documentation for qvm-shutdown

* Wed Jan 29 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f59f982
- Fixed Exceptions inferiting from KeyError

* Wed Jan 29 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - cea4672
- Added an exception for backup already in progress

* Wed Jan 29 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a85fd36
- Fixed error with import

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 11b6ae1
- travis: switch to bionic

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e770baf
- version 4.0.28

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 23982d1
- Make pylint happy

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7d2cc7b
- tools/qvm-start-gui: avoid starting a VM just to send it monitor layout

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 56618be
- Add run_service(..., autostart=False) argument

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a7f8ae0
- Add support for run_service(..., filter_esc=True) in a VM

